Subject: Re: [bug#47539]

From: Leo Famulari <[email-masked]>
Date: Fri, 21 May 2021 16:34:51 -0400

On Fri, May 21, 2021 at 07:08:49PM +0200, Leo Prikler wrote:
> @lfam: Does this patch look good to you?  If so, can we apply it?

I notice that (most of?) the new packages use native-inputs for their
dependencies.

If these dependencies are used at run-time, I would propagate them
instead. This way, they will be available in the build environment of
packages that depend on the package that is using them, which matters
for our go-build-system, where everything is built from scratch in each
package. If I remember correctly, that is...

Otherwise, if they pass `guix lint`, the licenses have been checked, and
the software works, LGTM.